## RygelRootDeviceFactory

RygelRootDeviceFactory — This is a factory to create RygelRootDevice objects for a given UPnP context.

## Functions

RygelRootDevice * | rygel_root_device_factory_create ()
RygelRootDeviceFactory * | rygel_root_device_factory_new ()
GUPnPContext * | rygel_root_device_factory_get_context ()
gchar * | rygel_get_pretty_host_name ()

## Properties

GUPnPContext * | context | Read / Write / Construct Only

## Types and Values

#define | RYGEL_TYPE_ROOT_DEVICE_FACTORY
struct | RygelRootDeviceFactory
struct | RygelRootDeviceFactoryClass
enum | RootDeviceFactoryError

## Object Hierarchy

        GObject
        ╰── RygelRootDeviceFactory

## Implemented Interfaces

RygelRootDeviceFactory implements GInitable.

## Description

Call `rygel_root_device_factory_create()` with a plugin to create a root device for the plugin.

## Functions

### rygel_root_device_factory_create ()

    RygelRootDevice *
    rygel_root_device_factory_create (RygelRootDeviceFactory *self,
                                      RygelPlugin *plugin,
                                      GError **error);

#### Parameters

self | the RygelRootDeviceFactory instance |
plugin |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_root_device_factory_new ()

    RygelRootDeviceFactory *
    rygel_root_device_factory_new (GUPnPContext *context,
                                   GError **error);

#### Parameters

context |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_root_device_factory_get_context ()

    GUPnPContext *
    rygel_root_device_factory_get_context (RygelRootDeviceFactory *self);

Get and return the current value of the "context" property.

#### Parameters

self | the RygelRootDeviceFactory instance to query |

#### Returns

the value of the "context" property

### rygel_get_pretty_host_name ()

    gchar *
    rygel_get_pretty_host_name (void);

#### Parameters

self | the (null) instance |

## Types and Values

### RYGEL_TYPE_ROOT_DEVICE_FACTORY

    #define RYGEL_TYPE_ROOT_DEVICE_FACTORY (rygel_root_device_factory_get_type ())

The type for RygelRootDeviceFactory.

### struct RygelRootDeviceFactory

    struct RygelRootDeviceFactory;

This is a factory to create RygelRootDevice objects for a given UPnP context.

Call `rygel_root_device_factory_create()` with a plugin to create a root device for the plugin.

### struct RygelRootDeviceFactoryClass

    struct RygelRootDeviceFactoryClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_ROOT_DEVICE_FACTORY`. All the fields in this structure are private and should never be accessed directly.

#### Members

### enum RootDeviceFactoryError

#### Members

ROOT_DEVICE_FACTORY_ERROR_XML_PARSE |  |

## Property Details

### The `“context”` property

      “context”                  GUPnPContext *

context.

Flags: Read / Write / Construct Only